Subject: Re: [PATCH v2] Documentation: Document each netlink family

From: Breno Leitao <[email-masked]>
Date: Tue, 21 Nov 2023 03:17:53 -0800

On Mon, Nov 20, 2023 at 01:14:24PM -0800, Jakub Kicinski wrote:
> On Mon, 20 Nov 2023 12:43:11 -0800 Breno Leitao wrote:
> > > %.rst: $(YNL_YAML_DIR)/%.yaml
> > > 	$(YNL_TOOL) -i $< -o $@  
> > 
> > That is basically what it does now in the current implementation, but,
> > you don't need to pass the full path and no output file, since it knows
> > where to get the file and where to save it to.
> > 
> > If you are curious about the current python script, I've pushed it here:
> > https://github.com/leitao/linux/blob/netdev_discuss/tools/net/ynl/ynl-gen-rst.py
> > 
> > I can easily remove the paths inside the python file and only keep it in
> > the Makefile, so, we can use -i $< and -o $@.
> 
> I think switching to -i / -o with full paths and removing the paths
> from the generator is worthwhile.
> 
> We'll need to call the generator for another place sooner or later.

I do agree with you. Let me update and send a V3 with these changes.